Skip to navigation

Update Pickup Methods

Update existing pickup methods.

This batch operation can update 10 pickup method objects in one request.

Only the id property of the pickup method object is required as part of the request. Pickup method properties that are not provided will maintain their existing values.

Limits

  • Limit of updating 10 pickup method objects per PUT request.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Fulfillmentread-onlystore_order_fulfillment_read_only
Order Fulfillmentmodifystore_order_fulfillment_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a list of objects.
idintegerOptional
The ID of the pickup method.
location_idintegerOptional
The ID of the location.
display_namestringOptional0-250 characters
Title of the pickup method.
collection_instructionsstringOptional0-250 characters
Instructions for picking up items.
collection_time_descriptionstringOptional0-250 characters
The description of collection time.
location_identityintegerOptionalDeprecated

Response

The request has been successfully processed.
datalist of objectsOptional
metaobjectOptional